Pod::Html(3)

NAME
Pod::Html - module to convert pod files to HTML

SYNOPSIS

    use Pod::Html;
    pod2html([options]);

DESCRIPTION
Converts files from pod format (see the perlpod manpage) to HTML format. It can automatically generate indexes and cross-references, and it keeps a cache of things it knows how to cross-reference.

ARGUMENTS
Pod::Html takes the following arguments:

    --help
Displays the usage message.

    --htmlroot=name
Sets the base URL for the HTML files. When cross-references are made, the HTML root is prepended to the URL.

    --infile=name
Specify the pod file to convert. Input is taken from STDIN if no infile is specified.

    --outfile=name
Specify the HTML file to create. Output goes to STDOUT if no outfile is specified.

    --podroot=name
Specify the base directory for finding library pods.

    --podpath=name:...:name
Specify which subdirectories of the podroot contain pod files whose HTML converted forms can be linked-to in cross-references.

    --libpods=name:...:name
List of page names (eg, "perlfunc") which contain linkable =items.

    --netscape
Use Netscape HTML directives when applicable.

    --nonetscape
Do not use Netscape HTML directives (default).

    --index
Generate an index at the top of the HTML file (default behaviour).

    --noindex
Do not generate an index at the top of the HTML file.

    --recurse
Recurse into subdirectories specified in podpath (default behaviour).

    --norecurse
Do not recurse into subdirectories specified in podpath.

    --title=title
Specify the title of the resulting HTML file.

    --verbose
Display progress messages.

EXAMPLE

    pod2html("pod2html",
             "--podpath=lib:ext:pod:vms",
             "--podroot=/usr/src/perl",
             "--htmlroot=/perl/nmanual",
             "--libpods=perlfunc:perlguts:perlvar:perlrun:perlop",
             "--recurse",
             "--infile=foo.pod",
             "--outfile=/perl/nmanual/foo.html");

AUTHOR
Tom Christiansen, <tchrist@perl.com>.

BUGS
Has trouble with etc in = commands.

SEE ALSO
the perlpod manpage

COPYRIGHT
This program is distributed under the Artistic License.